import { httpGetRequest, httpPutRequest, APIUrlGenerator } from "@/utils/baseHttpService";
import { API_ROUTES } from "@/constant/routes";
import { IPGStatusResponse, UpdateIPGStatusRequest, UpdateIPGStatusResponse } from "./_models";

export const getIPGStatus = async (): Promise<IPGStatusResponse> => {
  const response = await httpGetRequest<IPGStatusResponse>(
    APIUrlGenerator(API_ROUTES.GET_IPG_STATUS)
  );
  return response.data;
};

export const updateIPGStatus = async (
  payload: UpdateIPGStatusRequest
): Promise<UpdateIPGStatusResponse> => {
  const response = await httpPutRequest<UpdateIPGStatusResponse>(
    APIUrlGenerator(API_ROUTES.UPDATE_IPG_STATUS),
    payload
  );
  return response.data;
};







